Bug 125141 - found syllabification error in German
Summary: found syllabification error in German
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
6.1.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Hyphenation
  Show dependency treegraph
 
Reported: 2019-05-06 17:14 UTC by Katrin
Modified: 2021-06-13 03:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin 2019-05-06 17:14:49 UTC
Description:
the term "PsychKG" is short for "Psychisch Kranken Gesetz", a german book of laws. As a short cut it not will be seperate. It will now separate as "Psy-chKG". And if it has to be seperate, then as you speak as "Psych-KG", cause K and G is pronounced as Letters.

Steps to Reproduce:
1.make a document and set the language as german
2.write "PsychKG" and make clear it comes to the and of the line, so it will be seperate
3.

Actual Results:
Psy-chKG

Expected Results:
it's not to seperate, so it must be "PsychKG"


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: de
Module: TextDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: yes
Comment 1 Xisco Faulí 2019-06-10 16:56:39 UTC
@Dieter, can you reproduce this issue ?
Comment 2 Dieter 2019-06-11 05:55:41 UTC
I confirm it with

Version: 6.2.4.2 (x64)
Build-ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

I also agree, that an abbreviation of a book of law shouldn't be separated, but I couldn't find an official rule for that. But Psy-chKG is wrong.
Comment 3 Thomas Lendo 2019-06-11 20:31:31 UTC
Maybe a rule that words with a majuscule in the middle of end of it won't be separated. Austrian examples: ArbVG, BarwertVO, ZahnFinAnpG.
Comment 4 Katrin 2019-06-13 21:25:29 UTC
@ Dieter Praas: Thanks for your agreement.
@ Thomas Lendo:  I just know the German books of law, but in the most cases there are more than one capital in one word without space. For exemple OWiG. And the most of it have also just one vowel - like the Y in PsychKG, VerschG, StPO. Maybe there's a way to make a rule, the program detects therms like that.
Comment 5 QA Administrators 2021-06-13 03:48:53 UTC
Dear Katrin,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug